import httpInstance from '@/utils/http'


// 查询门户Banner列表
export function getBannerAPI(params = {}) {
  return httpInstance({
    url: '/portal/banner/list',
    params
  })
}

/**
 * 查询学校动态列表
 */
export const getTrendAPI = (params = {}) => {
  return httpInstance({
    url: '/portal/trend/list',
    params
  })
}

export const getTrendInfoAPI = (trendId) => {
  return httpInstance({
    url: `/portal/trend/${trendId}`
  })
}

/**
 *查询学校名师列表
 */
export const getShowAPI = (params = {}) => {
  return httpInstance({
    url: '/portal/show/list',
    params
  })
}

/**
 *查询目录-同步教材
 */
export const getTextbookAPI = () => {
  return httpInstance({
    url: '/portal/textbook/catalog/tree'
  })
}

// 查询目录-专题资源
export const getResourceAPI = (params = {}) => {
  return httpInstance({
    url: '/portal/resource/catalog/pageList',
    params
  })
}


export const getAuthAPI = () => {
  return httpInstance({
    url: '/auth/tenant/list'
  })
}

export const getShowInfoAPI = (showId) => {
  return httpInstance({
    url: `/portal/show/${showId}`
  })
}